[LFS Trac] #1863: Bash depends on Bison

LFS Trac trac at linuxfromscratch.org
Mon Aug 14 16:14:39 PDT 2006


#1863: Bash depends on Bison
-------------------------------------------+--------------------------------
 Reporter:  jciccone at linuxfromscratch.org  |        Owner:  dnicholson at linuxfromscratch.org
     Type:  task                           |       Status:  assigned                       
 Priority:  high                           |    Milestone:  6.3                            
Component:  Book                           |      Version:  SVN                            
 Severity:  major                          |   Resolution:                                 
 Keywords:  bash bison yacc                |  
-------------------------------------------+--------------------------------
Changes (by dnicholson at linuxfromscratch.org):

  * owner:  lfs-book at linuxfromscratch.org =>
            dnicholson at linuxfromscratch.org
  * status:  new => assigned

Comment:

 This came up recently (probably has a few times).In my mind, this is a
 large bug. I'd prefer to keep the bash patch in Ch. 5 since the shell is
 such an integral part of the build (not just for scripting). Host
 requirements seems the sanest place to put this.

 Now I found the message. Bash says that bison-1.26 minimum is needed. That
 note could be old or bogus, though.

 http://linuxfromscratch.org/pipermail/lfs-support/2006-August/031192.html

 I'll see about getting this listed in the Host Requirements. Flex should
 probably be there too. Comments, anyone?

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/lfs/ticket/1863>
LFS Trac <http://wiki.linuxfromscratch.org/lfs/>
Linux From Scratch: Your Distro, Your Rules.



More information about the lfs-book mailing list